Bug 19037 - Browsers use customizable dictionaries to correct spelling and tend to mark some names as wrong, that it shouldn't. Maybe each website can inform the browser of words/names it expects to be used and add it (in the scope of that page) to the exceptions. If
Browsers use customizable dictionaries to correct spelling and tend to mark s...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:57 UTC by contributor
Modified: 2013-12-26 03:06 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:57:51 UTC
This was was cloned from bug 11592 as part of operation LATER convergence.
Originally filed: 2010-12-23 00:41:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-12-23 00:41:06 +0000 
--------------------------------------------------------------------------------
Specification: http://dev.w3.org/html5/spec/Overview.html
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#top

Comment:
Browsers use customizable dictionaries to correct spelling and tend to mark
some names as wrong, that it shouldn't.

Maybe each website can inform the browser of words/names it expects to be used
and add it (in the scope of that page) to the exceptions.

If you can respond; has this been suggested?


Posted from: 190.166.124.163
================================================================================
 #1   John Drinkwater                                 2011-01-13 15:39:33 +0000 
--------------------------------------------------------------------------------
How would you propose such a thing, using a datalist linked to the textfield? What happens if the user isn’t in the same language? should the word list just be for names? Can imagine it may be useful for a code editor to validate keywords, but then the javascript route is more common.
================================================================================
 #2   Ian 'Hixie' Hickson                             2011-02-16 09:18:56 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: none yet
Rationale: Providing a custom site-specific dictionary is an interesting idea. I'm marking this bug LATER for now since we're waiting for browsers to catch up with implementing the features we've already added before adding more, but we'll revisit this at some point when looking at the various spell checking feature requests we've received.
================================================================================